function setCookie(name, value, term) {
	// name -  cookie
	// value -  cookie
	// term -  : "" -  1 ; "long" -  100 .
	var expDate = new Date();
	expDate.setTime(expDate.getTime() + (100 * 24 * 3600 * 1000));
	var curCookie = name + "=" + value +
		((term == "long") ? "; expires=" + expDate.toGMTString() : "") +
		"; path=/";
	document.cookie = curCookie;
}

// name -   cookie
function getCookie(name) {
	var prefix = name + "=";
	var cookieStartIndex = document.cookie.indexOf(prefix);
	if (cookieStartIndex == -1) { return null }
	var cookieEndIndex = document.cookie.indexOf(";", cookieStartIndex + prefix.length)
	if (cookieEndIndex == -1) { cookieEndIndex = document.cookie.length }
	return document.cookie.substring(cookieStartIndex + prefix.length, cookieEndIndex)
}

// name -  cookie
function deleteCookie(name) {
	if (getCookie(name)) {
		document.cookie = name + "=" +
		"; expires=Thu, 01-Jan-70 00:00:01 GMT" +
		"; path=/";
	}
}
